import { objectSpread2 as _objectSpread2 } from '../../../_virtual/_rollupPluginBabelHelpers.js';

// Объект стилей для handler'а, в котором находится иконка ресайза.

var base = {
  width: 'auto',
  height: 'auto',
  lineHeight: '0'
};
var getHandleStyles = function getHandleStyles() {
  return {
    topRight: _objectSpread2({
      top: '0',
      right: '0',
      transform: 'translate(50%, -50%)'
    }, base),
    bottomRight: _objectSpread2({
      right: '0',
      bottom: '0',
      transform: 'translate(50%, 50%)'
    }, base),
    bottomLeft: _objectSpread2({
      bottom: '0',
      left: '0',
      transform: 'translate(-50%, 50%)'
    }, base),
    topLeft: _objectSpread2({
      top: '0',
      left: '0',
      transform: 'translate(-50%, -50%)'
    }, base)
  };
};

export { getHandleStyles };
